1. Incident Comments
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Incident Comments

Index

Developing
GET
http://127.0.0.1:8000/api/incident_comments
Retrieves a list of all incident comments registered in the system.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/incident_comments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "data": [
        {
            "id": 1,
            "incident": "Critical Brute Force Incident",
            "user": "analyst",
            "comment": "Initial investigation started."
        },
        {
            "id": 2,
            "incident": "SQL Injection Investigation",
            "user": "admin",
            "comment": "SQL payload analysis in progress."
        }
    ]
}
Modified at 2026-06-19 14:47:18
Previous
Delete
Next
Show
Built with